jekyll doctor should accept --config flag #4598

Closed
joakimkemeny opened this Issue Feb 26, 2016 · 5 comments

Comments

Projects
None yet
5 participants
@joakimkemeny
What version of Jekyll are you using (jekyll -v)?

3.1.2

What operating system are you using?

OS X 10.11.3

What did you do?

I create a new project using jekyll new . then I run jekyll doctor --config _config.yml (I obviously want to move and rename the config file, but this simple case illustrates the problem)

What did you expect to see?

Configuration file: /Users/Joakim/Project/_config.yml
Your test results are in. Everything looks fine.

What did you see instead?

jekyll 3.1.2 | Error: Whoops, we can't understand your command.
jekyll 3.1.2 | Error: invalid option: --config
jekyll 3.1.2 | Error: Run your command again with the --help switch to see available options.

@parkr parkr added the bug label Feb 26, 2016

@parkr

This comment has been minimized.

Show comment
Hide comment
@parkr

parkr Feb 26, 2016

Member

@joakimkemeny Great catch! The --config flag appears to be there, so there must be a bug here.

Member

parkr commented Feb 26, 2016

@joakimkemeny Great catch! The --config flag appears to be there, so there must be a bug here.

@parkr parkr added this to the 3.2 milestone Mar 1, 2016

@parkr parkr closed this in 14e9ec2 Mar 1, 2016

@joakimkemeny

This comment has been minimized.

Show comment
Hide comment
@joakimkemeny

joakimkemeny Mar 1, 2016

That was really fast. Thank you for your awesome work.

That was really fast. Thank you for your awesome work.

@daniellmb

This comment has been minimized.

Show comment
Hide comment
@daniellmb

daniellmb Mar 2, 2016

Same thing happens with the --verbose flag

Same thing happens with the --verbose flag

@DirtyF

This comment has been minimized.

Show comment
Hide comment
@DirtyF

DirtyF Mar 2, 2016

Member

@daniellmb --verbose mode is only an option for the serve command

Member

DirtyF commented Mar 2, 2016

@daniellmb --verbose mode is only an option for the serve command

@mvaneijgen

This comment has been minimized.

Show comment
Hide comment
@mvaneijgen

mvaneijgen Jun 6, 2016

I also run in to this problem and I am running jekyll 3.1.6.

I now also have installed jekyll 3.1.2 and when I run jekyll _3.1.2_ serve --watch --config _config.yml,_config-dev.yml everything works like charm!

mvaneijgen commented Jun 6, 2016

I also run in to this problem and I am running jekyll 3.1.6.

I now also have installed jekyll 3.1.2 and when I run jekyll _3.1.2_ serve --watch --config _config.yml,_config-dev.yml everything works like charm!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment